/* everything is contained within 3 selectors: *,
 main and .card which has his children styles nested in */

/* single theme app */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

main {
    display: flex;
    height: 100vh;
    justify-content: center;
    align-items: center;
    background: url("images/bg.webp") center/cover no-repeat;
    overflow: hidden;
    

}






.card {

    display: flex;
    flex-direction: column;
    gap: .5rem;
    height: 90svh;
    margin: 1rem;
    min-width: 100px;
    width: 80vw;
    background-color: rgb(0, 0, 0, .5);
    border-radius: 10px;
    border: 1px solid rgba(255, 255, 255, .2);
    overflow: scroll;

    &::-webkit-scrollbar {
        display: none;
    }

    
    

    & .animate {
        animation: slideDown .5s ease-in-out;
    }

    & .noteWrapper {
        display: contents;


    }

    &:hover {
        box-shadow: 0px 0px 5px white;
    }

    & .title {
        position: relative;
        text-align: center;
        margin-top: .5rem;
        display: block;
        width: 100%;
        text-transform: uppercase;
        min-height: 10vh;
        color: white;
        background-color: transparent;
        font-size: 1.8rem;
        font-size: clamp(1rem, 1.5rem, 1.8rem);
       border-radius: 10px;
        
    }

    
    & .filters {
        margin-left: 1rem;
        position: relative;
        text-align: center;
        display: flex;
        justify-content: center;
        gap: 3rem;
        width: 100%;
        margin: 0 auto;
        border: 1px solid rgba(255, 255, 255, .2);
        backdrop-filter: blur(10px);
        border-radius: 10px;
        padding: .5rem;
        
       
       & button {
        background-color: transparent;
        min-width: fit-content;
        width: 24px;
        height:24px;
        color: white;
        cursor: pointer;
        border: none;
        transition: all .2s ease-in-out;
        text-transform: uppercase;
        border-radius: 10px;
        &:hover {
            box-shadow: 0px 0px 5px white;
        }

        &:nth-child(1) {
            background-image: url("images/plus.svg");
           }
       }
        
    }

    & #filter {
        background-color: transparent;
        color: white;
        border-radius: 5px;
        text-transform: uppercase;
        cursor: pointer;
        & option {
            background-color: black;
            
        }
    }

   

    

    

    & .note {
        position: relative;
        width: 90%;
        margin: 0 auto;
        
        & .svgs {
            position: absolute;
            top: 0;
            left:0;
            display: flex;
            gap: 1rem;

            
            
           & .svg {
            background-color: transparent;
            width: 24px;
            height:24px;
            color: white;
            cursor: pointer;
            border: none;
            transition: all .2s ease-in-out;
            &:hover {
                box-shadow: 0px 0px 5px white;
            }
            
            
           }
           & .svg:nth-child(1) {
            background-image: url("images/plus.svg");
           }
           & .svg:nth-child(2) {
            background-image: url("images/pin.svg");
           
            }
          


           & .svg:nth-child(3) {
            background-image: url("images/check.svg");
           }
           & .svg:nth-child(4) {
            background-image: url("images/bin.svg");
           }
        }

       
       
        
    }
    
    & .noteContent {
        position: relative;
        font-weight: 500;
        display: block;
        width: 100%;
        margin: 0 auto;
        height: auto;
        padding: 1rem;
        min-height: 15vh;
        color: white;
        background-color: transparent;
        border-radius: 5px;
        font-size: 1.2rem;
        
        
        
         
    }

    & .checked {
        color: rgba(255, 255, 255, .8);
        text-decoration: line-through;
        text-decoration-thickness: .05rem;
        
        
        position: relative;
        pointer-events: none;
        
    }

    

    & .pinned {
        filter: invert(100%);
    }

   

}


@keyframes slideDown {
    from {
        transform: translateY(-100%);
        
    }
    to {
        transform: translateY(0%);
        
    }
}

@keyframes fade {
    100% {
        opacity: 0;
    }
}





 





